Search the Community
Showing results for tags 'slope'.
-
Hi everyone, I don't know if it's even achievable or not, but I thought I'd post it anyway. What I need is this : user inputs: Elevation difference Offset slope maximum elevation Offset a 3D polyline using the given elevation difference and slope (%) check if one of the vertices is above the maximum allowed elevation, then change the slope (decrease the slope) so all the vertices are bellow the maximum allowed elevation. Anything that can help is really appreciated ! Thanks in advance
- 3 replies
-
- 3dpoly
- 3dpolyline
-
(and 3 more)
Tagged with:
-
Create slope with lisp Polyline (WANT TO ENHANCE)
Prageeth posted a topic in AutoLISP, Visual LISP & DCL
I Have lisp for placing slope and arrow with polyline and i want enhance this to what i need mention in my drawing file..so i have attached lisp & sample drawing file . and also want to enhance lisp for select all polyline at once, currently lisp select on object at once. thanks. Slope.lsp SLOPE SAMPLE.dwg- 3 replies
-
- slope lines
- slope
- (and 13 more)
-
Slope design parking lot/water shed
Lippens Infra posted a topic in AutoCAD 3D Modelling & Rendering
Hello, By lack of plans, it has fallen upon me to design the slope of a parking lot. They HAVE to use water-permeable asphalt. The owner doesn't believe it will last and therefore he wants all water to evacutate towards 2 points. The area is 1.500m². The points are on the outside of the parking lot. Towards one point, we are allowed to use some kind of gutter. In the DWG the 3 buildings are red, the black lines are fixed in height, the green ones are not. The "gutter" is pink. the two points where all the water needs to flow towards are apointed with circles. These points are already the lowest points by nature. Is there a tool or trick to make slopes towards those points or do i need to calculate the slopes manually and use some trial and error? Thanks in advance! design parking lot.dwg -
Hello, I have a file attached. It's the design for a yard. I want to annotate the slope of the planes. I could draw a line and annotate the slope of that line as well. Is there a lisp program able to calculate the slope for planes/lines drawn in 3D? Thanks in advance. enveloppe ontwerp met afloop naar straat1.dwg
-
LISP to calculate the slope between two elevations in a plan view
Jaru posted a topic in AutoLISP, Visual LISP & DCL
Hello everyone in the forum, thank you in advance for the help you can give me. Ok this is the situation: I've a LISP, that calculates the slopes in a plan view or in the model, and works very well, but i need some changes adapted to this task. I'll try to explain my best. 1. Here is the code (defun c:plevel (/ decs ;|diff|; elist level osm p1 p2 slope strlevel txtelev txthgt txtpt) (setq osm (getvar 'osmode)) (while (and (or (not (setq txtelev (entsel "\nSelect Starting Level Text : "))) (not (eq "TEXT" (cdr (assoc 0 (setq elist (entget (car txtelev))))))))) (princ "\n Nothing selected or wrong object type selected, try again") ) (setq strlevel (cdr (assoc 1 elist)) decs (- (strlen strlevel) (1+ (vl-string-position 46 strlevel))) level (atof strlevel) txthgt (cdr (assoc 40 elist)) ) (initget 6) (setq slope (getreal "\n Enter Slope Like ==> 0.005 : ")) (if (not slope) (setq slope 0.005)) (setvar 'osmode 39) (setq p1 (getpoint "\nPick 1st Point: ")) ;;; (setq diff (mapcar '- (cdr (assoc 10 elist)) p1)) (while (setq p2 (getpoint "\nPick Next Point (Or Press Enter To Exit): ")) (setq level (- level (* (distance p1 p2) slope)) strlevel (rtos level decs) txtpt (getpoint "\nPick Text Place For Point Level: "); (mapcar '+ p2 diff) ) (entmake (list '(0 . "TEXT") '(100 . "AcDbEntity") '(100 . "AcDbText") (cons 10 txtpt) (cons 11 (list 0.0 0.0 0.0)) (cons 40 txthgt) (cons 1 strlevel) '(50 . 0.0) '(41 . 1.0) '(51 . 0.0) '(7 . "Standard") '(71 . 0) '(72 . 0) (cons 210 (list 0.0 0.0 1.0)) '(73 . 0)) ) (setq p1 p2) ) (setvar 'osmode osm) (princ) ) 2. Basically, what the LISP does is obtain through the slope introduced the levels at the points that the user subsequently enters. To this point, well. Ok, this is what i need 1. It does not calculate the negative slope, if the user enters a negative slope this sends an error message. calculation is not possible in that situation. I need change that to work with negative slopes. 2. that allows me, by selecting objects either line, polyline to calculate the distance first and then with the previous selection of levels, calculate the slope automatically. post the original LISP, Regards. plevel.lsp -
Hello, I have a 2:1 slope on each side of the assembly. If the slope can reach the eg surface in a positive direction it catches there even though it would work in a negative direction as it is configured in the assembly. If the slope cannot catch the eg in a positive direction it 'fills' properly. I have tried this with a linkslopetosurface and a daylight subassembly and get the same results. Any help or suggestions are appreciated. Thanks, Phil
-
Hi Everyone:) I am working with contour lines. I don't have any trouble creating a surface from the contour lines (Toolspace > GIS topo > Definition > Contours > Add (with swapping edges selected) >> surface generates). What I was wondering is : IS there any way to create different layers for different slope gradients (as defined in the slope properties)? Ultimately what I want to do is be able to isolate the regions that fall into different slope categories and create boundaries around them. Any and all help is greatly appreciated!
-
Creating Isometric slope hatches in AutoCAD 2014? HELP!
tmelancon posted a topic in AutoLISP, Visual LISP & DCL
Hello all, I work primarily in the piping industry and we do not use Autocad 3D Plant because we aren't in the design industry but rather more in the maintenance part of it. That being said we do not have the piping slope hatching functionality. See Photo for slope hatching example. We use this for 45 degrees, rolled 45 degrees and rolled 90 degree elbows. If someone can chime in a maybe share something that would be useful to us to aid in the automation of creating this hatch quickly I would greatly appreciate it. -
Hello, I need to specify the slope of the streets of a city. I have the elevation points of streets. But, how can I get slopes in Civil 3D? I am working with Civil 3D, but I do not know the procedure for this work. I should create a surface from these points? The surface's triangles must be inside streets (the line of streets should be as breaklines)? Thank you in advance, Mohsen
-
Hi All! anyone can please help on a LSP that i've been searching for: lisp to drawing Slope Lines. thanks
- 3 replies
-
- slope lines
- slope
-
(and 2 more)
Tagged with:
-
I am sure there is a way, whether it be lisp routine, or feature already within autocad, but I have yet to find it. What I want to do is be able to take a point that represents a grade and determine the elevation along a line to another point representing a lower or higher grade. Typically I would get the measurement between the points and just do the math. It would be great if you could select a point..be prompted to select (+ or -) and then enter a percentage, and then when you end the line it gives you a + number or a -number in which represents the rise or fall from point A to B. To take it a step further, not that I really need it, but would be cool, is if you could select points along that line and it give you an elevation for that point. Does anyone have any suggestions, or know of a lisp routine that does exactly this, and something similar. It would be huge in my career if such thing exists or can exist. Please point me in the right direction if you you of anything!!! Thank you, Matt
- 13 replies
-
- lisp routines
- interpolation
-
(and 3 more)
Tagged with:
-
I made a very simple lisp to draw a line according to a requested slope ratio like 1:4, 1:10 ect it works fine for "normal" angles, but when it comes to ratio like 1:60 or 1:0.001 the result is inconsistent... I mean sometimes it will be displayed fine, or on the x axis (ie with no inclination at all) or will draw only a point with no length or will snap to another line (sitting very close) And all of that even if the values for the end point are correctly computed... Something else, if I draw a very long line like (1700 m) then it's always displayed correctly... If someone has an idea/ explanation I'll be very thankfull here is the code (defun C:slp( / refpt dirpt x_ratio seglen xref yref dirangle reqangle xend yend) (setq refpt (getpoint "\nPick a reference point")) (setq dirpt (getpoint "\nPick a direction point")) (setq x_ratio (getreal "\nSlope ratio 1:")) (setq seglen (distance refpt dirpt)) (setq xref (car refpt)) (setq yref (car (cdr refpt))) ;zref=0 (setq dirangle (angle refpt dirpt)) (setq reqangle (atan 1 x_ratio)) (princ (strcat "\ndirection angle: " (rtos dirangle) " requested angle: " (rtos reqangle))) (cond ( (and (> dirangle 0) (< dirangle (/ pi 2))) (setq xend (+ xref (* seglen (cos reqangle)))) (setq yend (+ yref (* seglen (sin reqangle)))) (setq endpt (list xend yend 0.00)) (command "pline" refpt endpt "") ) ( (and (> dirangle (/ pi 2)) (< dirangle pi)) (setq xend (- xref (* seglen (cos reqangle)))) (setq yend (+ yref (* seglen (sin reqangle)))) (setq endpt (list xend yend 0.00)) (command "pline" refpt endpt "") ) ( (and (> dirangle pi) (< dirangle (/ (* pi 3) 2))) (setq xend (- xref (* seglen (cos reqangle)))) (setq yend (- yref (* seglen (sin reqangle)))) (setq endpt (list xend yend 0.00)) (command "pline" refpt endpt "") ) ( (and (> dirangle (/ (* pi 3) 2)) (< (* pi 2))) (setq xend (+ xref (* seglen (cos reqangle)))) (setq yend (- yref (* seglen (sin reqangle)))) (setq endpt (list xend yend 0.00)) (command "pline" refpt endpt "") ) ) ) Thank you all
-
Ever wanted a dimension for the grade of a slope. (when drawing in 2d/plan) well i have, so i created this lisp to save time in manual calculating and creating some text. ; Grade ; ; by Robert Condon ; 13/9/12 ; ; ; To use: Select two points from left to ; right and it will give you the ; grade between the points ; ; ; (defun c:grd () (setq p1 (getpoint "\n1st point of Grade:")) (setq p1X (car p1)) (setq p1Y (cadr p1)) (setq p2 (getpoint "\n2nd point of Grade:")) (setq p2X (car p2)) (setq p2Y (cadr p2)) (setq rise (- p2Y p1Y)) (setq run (- p2X p1X)) (setq textposY (float (if(> (+ p1Y p2Y) 0) (/ (+ p1Y p2Y) 2 ) (setq textdisp 0) ))) (setq textposX (float(/ (+ p1X p2X) 2 ))) (setq textpos (list textposX textposY 0.0)) (setq trot (angle p1 p2)) (if (> rise 0) (progn (setq rise1a (/ run rise) ) (setq rise1 (rtos(/ run rise) ) ) ) ) (if (< rise 0) (progn (setq rise1a (/ run rise) ) (setq rise1 (rtos(/ run rise) ) ) ) ) (if (> run 0) (setq grade (rtos(* 100 (/ rise run)) ) ) ) (if (< run 0) (setq grade (rtos(* 100 (/ rise run)) ) ) ) (if (>= 9.999 rise1a) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" rise1 ":1")) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" grade "%")) ) (if (progn (> 1 rise1a)(< 0 rise1a) ) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" "1:" (rtos(* rise1a 100) ) )) ) (if (progn (< -1 rise1a)(> 0 rise1a) ) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" "1:" (rtos(* rise1a 100) ) )) ) (if (= rise 0) (progn (setq textdisp "")(princ "\nGrade is flat")) ) (if (= run 0) (progn (setq textdisp "")(princ "\nGrade is vertical") ) ) ;(setq text size (getint "Text size: ")) (entmake (list '(0 . "MTEXT") '(100 . "AcDbEntity") '(67 . 0) '(410 . "Model") '(100 . "AcDbMText") (cons 10 textpos) '(40 . 0.5) '(41 . 0) '(71 . '(72 . 5) (cons 1 textdisp) '(7 . "ISO3098B") '(210 0.0 0.0 1.0) '(11 1.0 0.0 0.0) '(42 . 0.833333) '(43 . 4.66667) (cons 50 trot) '(73 . '(44 . 1.0))) (princ) )
-
hi, this Excel is an introduction to the coming file related to lisps to draw Road Profile and cross section . let's start . simply add the first and second station in terms of accumulate distance and levels and intervals STRAIGHT LEVELS.xlsx
-
- staright levels
- slope
-
(and 2 more)
Tagged with: